#
# spec file for package kamplus (Version 1.1.2b)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  qt3-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool perl qt3 qt3-devel rpm update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         kamplus
%define       localham_group 56
URL:          http://www.cvine.freeserve.co.uk/kamplus/
License:      GPL
Group:        Productivity/Hamradio/Other
Prereq:       /usr/sbin/groupadd
Autoreqprov:  on
Version:      1.1.2b
Release:      295
Summary:      Host mode terminal program for the Kam Plus TNC
Source:       kamplus-qt-1.1.2b.src.tar.bz2
Source1:      kam-qt.desktop
Patch0:       kam-qt.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Host mode terminal program for the Kam Plus TNC

Authors:
--------
    Chris Vine <chris@cvine.freeserve.co.uk>

%debug_package
%prep
%setup -q -n kam-qt
%patch

%build
autoreconf --force --install
QTDIR=/usr/lib/qt3 \
./configure \
	--with-qt-dir=/usr/lib/qt3 \
	--with-qt-libraries=/usr/lib/qt3/%_lib
make

%install
rm -rf $RPM_BUILD_ROOT
INSTALLDIR=${RPM_BUILD_ROOT}/var/lib/kamplus
BINDIR=${RPM_BUILD_ROOT}/usr/bin
ETCDIR=${RPM_BUILD_ROOT}/etc
mkdir -p ${BINDIR} ${ETCDIR}
install -d -m775 ${INSTALLDIR}
install -d -m775 ${INSTALLDIR}/parms
install -m4750 kam-qt endhost ${BINDIR}
install -m664 cq messages helpfile-qt ${INSTALLDIR}
install -m664 tnc.parms home away ${INSTALLDIR}/parms
install -m664 kamrc ${ETCDIR}
%suse_update_desktop_file -i kam-qt Network HamRadio

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g %{localham_group} -o -r localham 2> /dev/null || :

%post
%run_permissions

%verifyscript
%verify_permissions -e /usr/bin/kam-qt -e /usr/bin/endhost

%files
%defattr(-,root,root)
%doc BUGS CONNECT_SCRIPTS HISTORY README README.SuSE
%config %attr(664,root,localham) /etc/kamrc
%dir %attr(775,root,localham) /var/lib/kamplus
%verify(not mode) %attr(0750,root,localham) /usr/bin/kam-qt
%verify(not mode) %attr(0750,root,localham) /usr/bin/endhost
%attr(664,root,localham) /var/lib/kamplus/cq
%attr(664,root,localham) /var/lib/kamplus/helpfile-qt
%attr(664,root,localham) /var/lib/kamplus/messages
%dir %attr(775,root,localham) /var/lib/kamplus/parms
%config %attr(664,root,localham) /var/lib/kamplus/parms/away
%config %attr(664,root,localham) /var/lib/kamplus/parms/home
%config %attr(664,root,localham) /var/lib/kamplus/parms/tnc.parms
/usr/share/applications/kam-qt.desktop

%changelog -n kamplus
* Tue Apr 06 2004 - pmladek@suse.cz
- fixed typo in %%pre, so the group localham is really created now [#38473]
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root (added flag # norootforbuild)
* Wed Feb 18 2004 - jreuter@suse.de
- fixed spec file to build as non-root user
* Wed Nov 05 2003 - ro@suse.de
- package according to permissions.secure and add run_permissions
* Sat Aug 16 2003 - adrian@suse.de
- add desktop file
* Wed Jun 18 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Feb 17 2003 - jreuter@suse.de
- update to version 1.1.2a
* Thu Jul 04 2002 - ro@suse.de
- create group localham if missing
* Thu May 23 2002 - ro@suse.de
- update to 1.1.1 using qt3
- patch for clean compilation with gcc-3.1
* Sun Apr 14 2002 - coolo@suse.de
- fixed for gcc-3.1
* Tue Feb 12 2002 - jreuter@suse.de
- update to version 1.0.8f
- according to author compiles on QT-3 and with gcc-3 now
* Tue Nov 13 2001 - ro@suse.de
- fixed neededforbuild to really use QT2
* Fri Jun 22 2001 - jreuter@suse.de
- configure finds QT libraries again...
* Tue Apr 24 2001 - jreuter@suse.de
- standard texts, KAM initialization and write log are now in
  /var/lib/kamplus
* Tue Apr 24 2001 - jreuter@suse.de
- updated to 1.0.7a
- fixed file permissions: kam-qt and endhost can be executed only by
  members of the "localham" group
- members of "localham" can modify the configuration of kamplus-qt,
  however if you really trust someone enough to allow access to your
  hamradio rig trusting him to not fiddle with the application is a
  minor question...
* Wed Apr 04 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Mon Nov 20 2000 - bubnikv@suse.cz
- fixed file privilegues
* Mon Nov 06 2000 - bubnikv@suse.cz
- updated to 1.0.4
- binaries are now in uucp group
* Fri Jun 09 2000 - bubnikv@suse.cz
- updated to 0.97-5
* Fri May 19 2000 - bubnikv@suse.cz
-  update to version 0.97-4
- added buildroot, moved /usr/lib/kamdir to /usr/lib/kamplus
* Wed Mar 08 2000 - ro@suse.de
- fixed to compile
* Tue Mar 07 2000 - ka@suse.de
- update to version qt-0.97-1
* Fri Jan 28 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Mon Jul 05 1999 - ka@suse.de
- update to version 0.95
* Mon Jun 07 1999 - ka@suse.de
- update to version 0.94
* Sat May 29 1999 - ka@suse.de
- update to version 0.93
* Fri May 07 1999 - ka@suse.de
- initial release
